import React from "react";
import { BrowserRouter as Router, Switch, Route, Link } from "react-router-dom";
import { Button } from "antd";
import logo from "./logo.svg";
import "./App.css";
import { getToken, setToken } from "./gitlab";

function App() {
  return (
    <Router>
      <div>
        <nav>
          <ul>
            <li>
              <Link to="/">Home</Link>
            </li>
            <li>
              <Link to="/Setup">Setup</Link>
            </li>
            <li>
              <Link to="/users">Users</Link>
            </li>
          </ul>
        </nav>

        {/* A <Switch> looks through its children <Route>s and
            renders the first one that matches the current URL. */}
        <Switch>
          <Route path="/setup">
            <Setup />
          </Route>
          <Route path="/users">
            <Users />
          </Route>
          <Route path="/">
            <Home />
          </Route>
        </Switch>
      </div>
    </Router>
  );
}

function Home() {
  return (
    <h2>
      <Button type="primary">Button</Button>
    </h2>
  );
}

const Setup: React.FunctionComponent = () => {
  return (
    <div>
      <h2>Setup</h2>
      <input
        value={getToken() || ""}
        onChange={(e) => setToken(e.target.value)}
      />
    </div>
  );
};

function Users() {
  return <h2>Users</h2>;
}

export default App;
